package com.palmnest.service.estateserve;

import com.palmnest.application.bean.Page;
import com.palmnest.model.estateserve.Picandtextdetailstemp;
import com.palmnest.model.estateserve.Replykeywords;
import com.palmnest.service.GenericManager;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface ScReplykeywordsManager extends GenericManager<Replykeywords, Integer> {

	public Replykeywords getReplykeywordsById(Integer kid);

	public Page getReplykeywords(int pageno, int pagesize, String developId, String name, String state);

	public void deleteTemplate(final Integer... ids);

	public boolean saveScTextpicvoicetemp(Replykeywords replykeywords, String textpicvoicetemp);

	public boolean saveScPicandtexttemp(Replykeywords replykeywords, List<Picandtextdetailstemp> ls);
}

